.\" Copyright (c) March 1995 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/usr.sbin/kbdmap/kbdmap.1,v 1.6.2.7 1999/09/05 11:40:20 peter Exp $

.Dd Mar 25, 1995
.Dt KBDMAP 1
.Os FreeBSD
.Sh NAME
.Nm kbdmap ,
.Nm vidfont
.Nd front end for syscons
.Sh SYNOPSIS
.Nm kbdmap
.Op Fl K 
.Op Fl V 
.Op Fl d | Fl default
.Op Fl h | Fl help
.Op Fl l | Fl lang Ar language
.Op Fl p | Fl print
.Op Fl r | Fl restore
.Op Fl s | Fl show
.Op Fl v | Fl verbose
.Sh DESCRIPTION 
.Nm kbdmap
allows easy setting of available keymaps. 
The
.Nm vidfont 
command allows the setting of fonts.
Both examine a database for the keymaps and fonts.
Descriptions are in English by default, but may also be
in other languages.
.Pp
It is strongly recommended to not choose 
.Tn MSDOS 
codepage keymaps
or fonts. Use the 
.Tn ISO 
standard version if available! 
.Tn X11 
does not
support 
.Tn MSDOS 
codepage.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl K
Run as command
.Xr kbdmap 1 .
.It Fl V
Run as command
.Xr vidfont 1 .
.It Fl d , Fl default
Use default language. Ignore $LANG.
.It Fl h , Fl help
Print options and exit.
.It Fl l , Fl lang Ar language
Use
.Ar language
for description and menu
.It Fl p , Fl print
Print description  of available keymaps or fonts
to stdout and exit.
.It Fl r , Fl restore
Load default font from
.Pa /etc/rc.conf .
.It Fl s , Fl show
Show currently supported languages and exit.
.It Fl v , Fl verbose
More warnings.
.Sh ENVIRONMENT
.Bl -tag -width /etc/master.passwdxx -compact
.Ev LANG	
Preferred language.
.Sh FILES
.Bl -tag -width /usr/share/syscons/keymaps/INDEX.keymaps -compact
.It Pa /usr/share/syscons/keymaps/INDEX.keymaps
Database for keymaps.
.It Pa /usr/share/syscons/fonts/INDEX.fonts
Database for fonts.
.It Pa /etc/rc.conf
Default font.
.It Pa /usr/X11/lib/X11/locale/locale.alias
Describe common LANG values.
.Sh BUGS
.\" .Nm kbdmap/vidfont
.\" does not know which font is in use. E.g. if the current font 
.\" is iso-8859-1 and you chose lang 'ru' (for Russian) 
.\" you get funny latin1 characters and not russkij shrift.
.\" 
.Nm vidcontrol
and
.Nm kbdcontrol
work only on a (virtual) console and not with X11.
.Sh SEE ALSO
.Xr dialog 1 ,
.Xr kbdcontrol 1 ,
.Xr vidcontrol 1 ,
.Xr rc.conf 5
.Sh HISTORY
The
.Nm kbdmap
and
.Nm vidfont
commands appeared in
.Fx 2.1 .
.Sh AUTHORS
.An Wolfram Schneider
.Aq wosch@FreeBSD.org ,
Berlin.
